dpp::app_team
application.h
utility::iconhash utility::iconhash dpp::app_team::icon icon dpp::app_team::icon

A hash of the image of the team's icon (may be empty).

snowflake snowflake dpp::app_team::id id dpp::app_team::id

The id of the team.

std::vector< team_member > std::vector<team_member> dpp::app_team::members members dpp::app_team::members

The members of the team.

std::string std::string dpp::app_team::name name dpp::app_team::name

The name of the team.

snowflake snowflake dpp::app_team::owner_user_id owner_user_id dpp::app_team::owner_user_id

The user id of the current team owner.

Represents a team of users who maintain a bot/application.

T
bool
dpp::app_team
icon
id
owner_user_id
members
name
dpp::json_interface< T >
dpp::json_interface< user >
< user >
dpp::managed
id
dpp::snowflake
value
dpp::team_member
membership_state
permissions
team_id
member_user
member_role
dpp::user
global_name
username
avatar
avatar_decoration
primary_guild
flags
discriminator
refcount
dpp::utility::iconhash
first
second
dpp::utility::primaryguild
id
enabled
tag
badge
std::basic_string< Char >
std::string
std::vector< T >
elements
std::vector< dpp::team_member >
elements
< dpp::team_member >
team_member_role_t
team_member_status
uint16_t
uint32_t
uint64_t
uint8_t
- dpp::app_team
  icon
- dpp::app_team
  id
- dpp::app_team
  members
- dpp::app_team
  name
- dpp::app_team
  owner_user_id